Name: system-switch-java
Version: 1.1.5
Release: 3%{?dist}
Summary: A tool for changing the default Java toolset

%define url https://fedorahosted.org

Group: Applications/System
License: GPLv2+
URL: %{url}/%{name}
Source0: %{url}/releases/s/y/system-switch-java/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: python-devel

Requires: chkconfig
Requires: libglade2
Requires: libuser-python
Requires: newt-python
Requires: pygtk2
Requires: pygtk2-libglade
Requires: python
Requires: usermode
Requires: usermode-gtk

%description
The system-switch-java package provides an easy-to-use tool to select
the default Java toolset for the system.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}
desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README COPYING COPYING.icon
%{_bindir}/%{name}
%{_sbindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/switch_java_functions.py*
%{_datadir}/%{name}/switch_java_gui.py*
%{_datadir}/%{name}/switch_java_tui.py*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/system-switch-java.glade
%config(noreplace) /etc/pam.d/%{name}
%config(noreplace) /etc/security/console.apps/%{name}

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 1.1.5-2
- recompiling .py files against Python 2.7 (rhbz#623409)

* Wed Aug 19 2009 Deepak Bhole <dbhole@redhat.com>  - 1.1.5-1-1
- Update to 1.1.5 which fixes rhbz 493898 and adds more translations

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.1.4-2
- Rebuild for Python 2.6

* Tue Oct 28 2008 Deepak Bhole <dbhole@redhat.com> - 1.1.4-1
- Update to 1.1.4, which contains new translations

* Sat Sep  6 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.1.3-2
- fix license tag

* Thu Jul  3 2008 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.1.3-1
- Import system-switch-java 1.1.3.
- Remove desktop file patch.
- Remove Fedora 7 obsoletes.
- Resolves: rhbz#453625

* Wed Jun 11 2008 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.1.2-3
- Update URL and source tags to point to Fedora Hosted.

* Mon Apr 14 2008 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.1.2-2
- Require libuser-python in place of libuser.
- Require newt-python in place of newt.
- Resolves: rhbz#251352

* Tue Oct  2 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.1.2-1
- Import system-switch-java 1.1.2.
- Resolves: rhbz#312321

* Fri Sep 28 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.1.1-1
- Import system-switch-java 1.1.1.

* Sat Jul 21 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.1.0-4
- Tolerate trailing newlines in alternatives file.
- Bump release number.

* Sat Jul 14 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.1.0-3
- Use Fedora 8 desktop file categories.
- Use desktop-file-install.
- Bump release number.

* Thu Jul  5 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.1.0-2
- Bump release number.

* Thu Jul  5 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.1.0-1
- Do not use desktop-file-install.

* Wed Jul  4 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.1.0-1
- Add categories when installing desktop file.

* Tue Jun 27 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.1.0-1
- Import system-switch-java 1.1.0.
- Merge gui subpackage into base package.

* Tue Jan 23 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.0.0-1
- Initial release.
